process cursor (file,graph2)
begin
     loop
         if (mouse.left)
            x=mouse.x;
            y=mouse.y;
            graph=graph2;
            //mouse.graph=graph2;
         else
             graph=0;
             //mouse.graph=0;
         end
         frame;
     end
end
